;InnoSetupVersion=1.3.25

[Setup]
AppName=Web Looper v2.2
AppVerName=Web Looper v2.2
AppId=Web Looper v2.2
DefaultDirName={pf}\Web Looper
DefaultGroupName=Web Looper
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Weblooper.EXE"; DestDir: "{app}"; 
Source: "{app}\LICENSE.TXT"; DestDir: "{app}"; 
Source: "{app}\capture.wav"; DestDir: "{app}"; 
Source: "{sys}\WBHELPER.DLL"; DestDir: "{sys}"; Flags: regserver 
Source: "{app}\Help\WEBLOOPER.HLP"; DestDir: "{app}\Help"; 
Source: "{app}\Help\WEBLOOPER.CNT"; DestDir: "{app}\Help"; 

[Dirs]
Name: "{app}\Help"; Flags: uninsalwaysuninstall 
Name: "{app}\Projects"; Flags: uninsalwaysuninstall 

[Registry]
Root: HKCU; Subkey: "Software\WebLooper"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\WebLooper\Web Looper"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\WebLooper"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\WebLooper\Web Looper"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\weblooper.EXE"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; 

[Icons]
Name: "{group}\Web Looper v2.2"; Filename: "{app}\Weblooper.EXE"; 
Name: "{userdesktop}\Web Looper v2.2"; Filename: "{app}\Weblooper.EXE"; 
Name: "{group}\LICENSE.TXT"; Filename: "{app}\LICENSE.TXT"; 
Name: "{group}\WEBLOOPER.HLP"; Filename: "{app}\HELP\Weblooper.hlp"; 
